Create record

Prev Next

Available in Classic and VPC

Creates a record in a specified domain.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /dns/v1/ncpdns/record/{domainId}

Request headers

For information about the headers common to all Record APIs, see Record API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
domainId Integer Required Domain ID

Request body

See RecordCreateRequest for the request body.

Request example

The following is a sample request.

curl --location --request POST  'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/record/25***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '[
    {
        "host": "record000",
        "type": "A",
        "content": "0.0.0.1",
        "ttl": 300,
        "aliasId": null,
        "lbId": null
    },
    {
        "host": "record001",
        "type": "AAAA",
        "content": "2001:0db8:85a3:0000:0000:8a2e:0370:7334",
        "ttl": 300,
        "aliasId": null,
        "lbId": null
    }
]'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Record APIs, see Record API response status codes.

Error code example

The following is a sample error code.

{
  "result": "FAIL",
  "error": {
    "errorCode": "X00007",
    "message": "This is an invalid record.",
    "devMessage": "This is an invalid record.",
    "moreInfo": {
      "validationInfo": {
        "rrsetValidationResponseList": [
          {
            "recordType": "A",
            "field": "host",
            "recordName": "www.example.com",
            "msg": "The host and type you entered exist in other resource record that are duplicated. Change the applicable resource to add them.",
            "index": 0
          }
        ],
        "domainId": 749
      }
    }
  }
}